# Ventoy
Ventoy is an open source tool to create bootable USB drive for ISO files.   
With ventoy, you don't need to format the disk over and over, you just need to copy the iso file to the USB drive and boot it.   
You can copy many iso files at a time and ventoy will give you a boot menu to select them.  
Both Legacy BIOS and UEFI are supported in the same way. 200+ ISO files are tested.  
A "Ventoy Compatible" concept is introduced by ventoy, which can help to support any ISO file.  

See https://www.ventoy.net for detail.

# Features
* 100% open source
* Simple to use
* Fast (limited only by the speed of copying iso file)
* Directly boot from iso file, no extraction needed
* Legacy + UEFI supported in the same way
* UEFI Secure Boot supported (since 1.0.07+)
* Persistence supported (since 1.0.11+)
* WIM files boot supported (Legacy + UEFI) (1.0.12+)
* Auto installation supported (1.0.09+)
* ISO files larger than 4GB supported
* Native boot menu style for Legacy & UEFI
* Most type of OS supported, 200+ iso files tested
* Not only boot but also complete installation process
* ISO files can be listed in List mode/TreeView mode
* "Ventoy Compatible" concept
* Plugin Framework
* Readonly to USB drive during boot
* USB normal use unaffected
* Data nondestructive during version upgrade
* No need to update Ventoy when a new distro is released

![avatar](https://www.ventoy.net/static/img/screen/screen_uefi.png)


# Installation Instructions
See [https://www.ventoy.net/en/doc_start.html](https://www.ventoy.net/en/doc_start.html) for detail

# Compile Instructions
Please refer to [BuildVentoyFromSource.txt](https://github.com/ventoy/Ventoy/blob/master/DOC/BuildVentoyFromSource.txt)

# Document
Title | Link
-|-
**Install & Update** | [https://www.ventoy.net/en/doc_start.html](https://www.ventoy.net/en/doc_start.html)
**Customize Theme** | [https://www.ventoy.net/en/plugin_theme.html](https://www.ventoy.net/en/plugin_theme.html)  
**Auto Installation** | [https://www.ventoy.net/en/plugin_autoinstall.html](https://www.ventoy.net/en/plugin_autoinstall.html)  
**Persistence Support** | [https://www.ventoy.net/en/plugin_persistence.html](https://www.ventoy.net/en/plugin_persistence.html)  
**Boot WIM file** | [https://www.ventoy.net/en/plugin_wimboot.html](https://www.ventoy.net/en/plugin_wimboot.html)  
**Memdisk Mode** | [https://www.ventoy.net/en/doc_memdisk.html](https://www.ventoy.net/en/doc_memdisk.html)  
**TreeView Mode** | [https://www.ventoy.net/en/doc_treeview.html](https://www.ventoy.net/en/doc_treeview.html)  
**Disk Layout** | [https://www.ventoy.net/en/doc_disk_layout.html](https://www.ventoy.net/en/doc_disk_layout.html)  


# FAQ
See [https://www.ventoy.net/en/faq.html](https://www.ventoy.net/en/faq.html) for detail


# Forum
[https://forums.ventoy.net](https://forums.ventoy.net)


